import Chart from "../chart.js";

/**
 * 折线图组件
 * @param {[type]} dataModel [description]
 */
export default class ChartLine extends Chart {

  constructor(__tfp, dataModel, parent) {
    super(__tfp, "ChartLine", dataModel, parent);
  }

  get categoryField() { return this.dataModel.categoryField }
  set categoryField(value) { 
    this.dataModel.categoryField = value;
  }

  get stack() { return this.dataModel.stack }
  set stack(value) { 
    this.dataModel.stack = value ? true : false;
    if(this._jqObj) {
      //
    }
  }

  get series() { return this.dataModel.series }
  set series(value) { 
    this.dataModel.series = value;
  }

  get showArea() { return this.dataModel.showArea }
  set showArea(value) { 
    this.dataModel.showArea = value ? true : false;
    if(this._jqObj) {
      //
    }
  }

  get smooth() { return this.dataModel.smooth }
  set smooth(value) { 
    this.dataModel.smooth = value ? true : false;
    if(this._jqObj) {
      //
    }
  }
}